package com.ruoyi.project.patrol.dev.service;

import java.util.List;
import com.ruoyi.project.patrol.dev.domain.TDevPaga;

/**
 * PAGAService接口
 * 
 * @author admin
 * @date 2023-11-02
 */
public interface ITDevPagaService 
{
    /**
     * 查询PAGA
     * 
     * @param id PAGA主键
     * @return PAGA
     */
    public TDevPaga selectTDevPagaById(Long id);

    /**
     * 查询PAGA列表
     * 
     * @param tDevPaga PAGA
     * @return PAGA集合
     */
    public List<TDevPaga> selectTDevPagaList(TDevPaga tDevPaga);

    /**
     * 新增PAGA
     * 
     * @param tDevPaga PAGA
     * @return 结果
     */
    public int insertTDevPaga(TDevPaga tDevPaga);

    /**
     * 修改PAGA
     * 
     * @param tDevPaga PAGA
     * @return 结果
     */
    public int updateTDevPaga(TDevPaga tDevPaga);

    /**
     * 批量删除PAGA
     * 
     * @param ids 需要删除的PAGA主键集合
     * @return 结果
     */
    public int deleteTDevPagaByIds(Long[] ids);

    /**
     * 删除PAGA信息
     * 
     * @param id PAGA主键
     * @return 结果
     */
    public int deleteTDevPagaById(Long id);
}
